<template>
	<view class="bill-of-lading-details">
		<view class="bangDanMessage">
			<view class="">
				<u--text align="center" size="35" bold plain text="主色" :text="'客户：' + coalDetailsData.customerName"></u--text>
				<u--text align="center" size="35" bold plain text="主色" :text="'矿厂：' + coalDetailsData.deptName"></u--text>
			</view>
			<view class="">
				<u--text align="center" size="35" bold plain text="主色" :text="'皮重：' + coalDetailsData.skin"></u--text>
				<u--text align="center" size="35" bold plain text="主色" :text="'毛重：' + coalDetailsData.hair"></u--text>
				<u--text align="center" size="35" bold plain text="主色" :text="'净重：' + coalDetailsData.clean"></u--text>
			</view>
			<view class="">
				<u--text align="center" size="35" bold plain text="主色" :text="'磅单类型：' + coalDetailsData.orderTye"></u--text>
				<u--text align="center" size="35" bold plain text="主色" :text="'状态：' + coalStatus[coalDetailsData.status]"></u--text>
			</view>
			<u--text align="center" size="35" bold plain text="主色" :text="'煤场：' + coalDetailsData.filedName"></u--text>
			<u--text align="center" size="35" bold plain text="主色" :text="'发运时间：' + coalDetailsData.sendDate"></u--text>
			<u--text align="center" size="35" bold plain text="主色" :text="'提煤单编号：' + coalDetailsData.code"></u--text>
			<u--text align="center" size="35" bold plain text="主色" :text="'订单编号：' + coalDetailsData.orderCode"></u--text>
		</view>
		<view class="timeLine" style="font-size: 16rpx;">
			<u--text type="primary" size="30" plain text="主色" v-for="(item, index) in dayRZ" :key="index" :text="item.taskStatusDes"></u--text>
		</view>
		<view class="utilsBox">
			<view class="utils_chil utils_chilTop">
				<u-button text="签到" type="primary" plain @click="arriveClick"></u-button>
				<u-button text="入场申请" type="primary" plain @click="rcsqClick"></u-button>
				<u-button text="放空" type="primary" plain></u-button>
				<u-button text="呼叫客服" type="primary" plain></u-button>
			</view>
			<view class="utils_chil"><u-button text="展示提煤单" @click="showCaolPickUpBill" type="primary"></u-button></view>
			<view class="utils_chil"><u-button text="上磅计量" @click="cengZhongClick" type="primary"></u-button></view>
		</view>
	</view>
</template>

<script>
export default {
	onLoad(value) {
		console.log('页面加载', value);
		if (value.orderPlanId && value.yyId) {
			this.orderPlanId = value.orderPlanId;
			this.yyId = value.yyId;
		}
	},
	data() {
		return {
			orderPlanId: null,
			yyId: null,
			dayRZ: [],
			coalDetailsData: {}, // 提煤单详情
			getWeightHouseObj: {
				// 获取所在磅房
				deptId: '',
				filedId: '',
				tmId: '',
				tmCode: '',
				carNo: ''
			},
			getYuYueDataParams: {
				deptId: '',
				filedId: '',
				sendDate: ''
			},
			coalStatus: ['领取', '预约', '签到', '入场', '称皮', '称毛', '离场', '入磅房', '出磅房', '入煤场', '出煤仓'] // 状态
		};
	},
	onShow() {
		this.init();
	},
	computed: {
		userName() {
			return uni.getStorageSync('username');
		},
		openid() {
			return uni.getStorageSync('openid');
		}
	},
	methods: {
		init() {
			this.coalDayPage();
			this.getTakeCoal();
		},
		// 获取提煤单详情
		getTakeCoal() {
			this.$reqGet('getTakeCoal', { takeCoalId: this.orderPlanId }).then(res => {
				if (res.code == 0) {
					this.coalDetailsData = res.data[0];
					// 获取所在磅房参数赋值
					this.getWeightHouseObj.deptId = this.coalDetailsData.deptId;
					this.getWeightHouseObj.filedId = this.coalDetailsData.filedId;
					this.getWeightHouseObj.tmId = this.coalDetailsData.id;
					this.getWeightHouseObj.tmCode = this.coalDetailsData.code;
					this.getWeightHouseObj.carNo = this.coalDetailsData.carNo;
					// 获取入场申请操作后的预约列表的参数
					this.getYuYueDataParams.deptId = this.coalDetailsData.deptId;
					this.getYuYueDataParams.filedId = this.coalDetailsData.filedId;
					this.getYuYueDataParams.sendDate = this.coalDetailsData.sendDate;
				}
			});
		},
		// 日志查询
		coalDayPage() {
			this.$reqGet('coalDayPage', { id: this.orderPlanId }).then(res => {
				if (res.code == 0) {
					this.dayRZ = res.data;
				}
			});
		},
		// 展示提煤单详情
		showCaolPickUpBill() {
			uni.navigateTo({
				url: `/pages/driver-page/driver-index/bill-of-lading-details/coal-pick-up-bill/coal-pick-up-bill?orderPlanId=${this.orderPlanId}`
			});
		},
		// 签到
		arriveClick() {
			uni.navigateTo({
				url: `/pages/driver-page/driver-index/bill-of-lading-details/punchTheClock/punchTheClock?orderPlanId=${this.orderPlanId}`
			});
		},
		// 入场申请
		rcsqClick() {
			uni.navigateTo({
				url: `/pages/driver-page/appointment/appointment?type=入场申请&takeCoalId=${this.orderPlanId}&yyId=${this.yyId}&filedId=${this.getYuYueDataParams.filedId}&deptId=${
					this.getYuYueDataParams.deptId
				}&sendDate=${this.getYuYueDataParams.sendDate}`
			});
		},
		// 呼叫客服
		callCustomerService() {
			wx.join1v1Chat({
				caller: { nickname: this.userName, openid: this.openid },
				listener: { nickname: '客服', openid: 'orutI5YT0yEvARVngdsTmBpisWmw' }, // 这里的openid是fyy的，充当固定的客服openid
				backgroundType: 2,
				roomType: 'voice'
			});
		},
		// 称重
		cengZhongClick() {
			this.$reqGet('getWeighHouse', this.getWeightHouseObj).then(res => {
				console.log(res, '获取磅房');
				if (res.code == 0) {
					uni.navigateTo({
						url: `/pages/driver-page/driver-index/bill-of-lading-details/weighingDevice/weighingDevice?takeCoalId=${this.orderPlanId}&sceneId=${res.data.id}&gateCameraId=${
							res.data.lastEquipmentId
						}&gateCameraCode=${res.data.lastEquipmentCode}&weighHouseCode=${res.data.code}`
					});
				} else {
					this.$u.toast('未在磅房，请前往磅房后再试！！');
				}
			});
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.bill-of-lading-details {
	width: 100%;
	height: 100vh;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	.bangDanMessage {
		padding:vww(10);
		border: vww(2) solid #dddddd;
		border-radius: vww(20);
		margin: vww(20);
		margin-bottom: vww(10);
		height: 40%;
		box-sizing: border-box;
		overflow-y: overlay; //行为与 auto 相同，但是滚动条绘制在内容之上，而不是占据空间。
		.u-text {
			margin-bottom: vww(5) !important;
		}
		view {
			margin-bottom: vww(5);
		}
		view:nth-of-type(1) {
			display: flex;
		}
		view:nth-of-type(2) {
			display: flex;
		}
		view:nth-of-type(3) {
			display: flex;
		}
	}
	.timeLine {
		height: 25%;
		margin: vww(20);
		margin-top: vww(10);
		margin-bottom: vww(10);
		border: vww(2) solid #dddddd;
		border-radius: vww(20);
		padding: vww(20);
		box-sizing: border-box;
		overflow-y: overlay; //行为与 auto 相同，但是滚动条绘制在内容之上，而不是占据空间。
		.u-text {
			margin-bottom: vww(5) !important;
		}
	}
	.utilsBox {
		padding: vww(20);
		flex: 1;
		display: flex;
		flex-direction: column;
		.utils_chil {
			flex: 1;
			display: flex;
			align-items: center;
		}
		.utils_chilTop {
			.u-button {
				margin-right: vww(4);
				&:nth-child(4) {
					margin-right: 0;
				}
			}
		}
	}
}
</style>
